## org.apache.commons.collections.buffer
Class UnmodifiableBuffer

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.buffer.AbstractBufferDecorator
              org.apache.commons.collections.buffer.UnmodifiableBuffer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, Buffer, Unmodifiable

    public final class UnmodifiableBuffer

extends AbstractBufferDecorator
implements Unmodifiable, java.io.Serializable

Decorates another `Buffer` to ensure it can't be altered.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Method Summary
`boolean` `add(java.lang.Object object)`
`boolean` `addAll(java.util.Collection coll)`
`void` `clear()`
`static Buffer` `decorate(Buffer buffer)` Factory method to create an unmodifiable buffer.
`java.util.Iterator` `iterator()`
`java.lang.Object` `remove()` Gets and removes the next object from the buffer.
`boolean` `remove(java.lang.Object object)`
`boolean` `removeAll(java.util.Collection coll)`
`boolean` `retainAll(java.util.Collection coll)`

Methods inherited from class org.apache.commons.collections.buffer.AbstractBufferDecorator
`get, getBuffer`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Method Detail

### decorate

    public static Buffer decorate(Buffer buffer)

  Factory method to create an unmodifiable buffer.

  If the buffer passed in is already unmodifiable, it is returned.

  Parameters:
    `buffer` - the buffer to decorate, must not be null
  Returns:
    an unmodifiable Buffer
  Throws:
    `java.lang.IllegalArgumentException` - if buffer is null

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### add

    public boolean add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.Collection`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(java.lang.Object object)

  Specified by:
    `remove` in interface `java.util.Collection`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(java.util.Collection coll)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(java.util.Collection coll)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### remove

    public java.lang.Object remove()

  Description copied from interface: `Buffer`
  Gets and removes the next object from the buffer.

  Specified by:
    `remove` in interface `Buffer`
  Overrides:
    `remove` in class `AbstractBufferDecorator`
  Returns:
    the next object in the buffer, which is also removed

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.